/**
* 文件：TaskService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.task.service;


import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.base.system.task.model.TaskEntity;

/**
 * <p>Title: 任务信息</p>
 * <p>Description: TaskService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface TaskService extends ICRUDCacheService<TaskEntity,Long> {
	
    boolean doForceUpdateTaskLock(TaskEntity task);
    boolean doForceUpdateTaskUnLock(TaskEntity task);
    boolean doForceUpdateTaskUnLock(String excuteHost);
}