package com.mortals.xhx.module.notice.service.impl;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.notice.model.NoticeEntity;
import com.mortals.xhx.module.notice.service.NoticeService;
import com.mortals.xhx.module.project.model.ProjectEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.notice.dao.NoticeStudyDao;
import com.mortals.xhx.module.notice.model.NoticeStudyEntity;
import com.mortals.xhx.module.notice.service.NoticeStudyService;

import java.util.List;

/**
* NoticeStudyService
* 公告学习人员 service实现
*
* @author zxfei
* @date 2023-02-23
*/
@Service("noticeStudyService")
public class NoticeStudyServiceImpl extends AbstractCRUDServiceImpl<NoticeStudyDao, NoticeStudyEntity, Long> implements NoticeStudyService {

    @Autowired
    private NoticeService noticeService;

    @Override
    protected void findAfter(NoticeStudyEntity params, PageInfo pageInfo, Context context, List<NoticeStudyEntity> list) throws AppException {
        super.findAfter(params, pageInfo, context, list);
/*        list.stream().forEach(item->{
            NoticeEntity noticeEntity = noticeService.get(item.getNoticeId());
            item.setProjectStartTime(noticeEntity.gets());
            item.setProjectEndTime(noticeEntity.getProjectEndTime());
        });*/
    }
}