package com.mortals.xhx.module.project.model.vo;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.base.framework.CustomJsonDateDeserializer;
import com.mortals.xhx.module.project.model.ProjectStudyEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
/**
* 项目学习人员视图对象
*
* @author zxfei
* @date 2023-02-23
*/
@Data
public class ProjectStudyVo extends BaseEntityLong {
    /**
     * 学习内容
     */
    private String studyContent;
    /**
     * 文件路径
     */
    private String filePath;
    /**
     * 文件名称
     */
    private String fileName;

    @JsonDeserialize(using = CustomJsonDateDeserializer.class)
    private Date projectStartTime;
    /**
     * 结束时间
     */
    @JsonDeserialize(using = CustomJsonDateDeserializer.class)
    private Date projectEndTime;
}