package com.mortals.xhx.module.project.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.project.model.ProjectEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 学习项目视图对象
*
* @author zxfei
* @date 2023-02-23
*/
@Data
public class ProjectVo extends BaseEntityLong {
    /**
     * 部门ids
     */
    private List<Long> deptIds;

    /**
     * 选择人员ids
     */
    private List<Long> personIds;

    /**
     * 是否全部人员，0 是 1 否
     */
    private Integer person;

    /**
     * 学习比率
     */
    private String studyPersonRadio;

}